package com.aucma.report.controller;

import com.aucma.common.core.controller.BaseController;
import com.aucma.common.core.domain.AjaxResult;
import com.aucma.common.core.page.TableDataInfo;

import com.aucma.report.service.IProductionReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 生产报表Controller
 *
 * @author Yinq
 * @date 2023-11-21
 */
@RestController
@RequestMapping("/report/productionReport")
public class ProductionReportController extends BaseController {
    @Autowired
    private IProductionReportService productionReportService;

    /**
     * 查询清单率报表
     */
    @GetMapping("/inventoryRateReportList")
    public AjaxResult inventoryRateReportList(@RequestParam(required = false) Map hashMap) {
        List<HashMap<String, Object>> list = productionReportService.inventoryRateReportList(hashMap);
        return success(list);
    }

    /**
     * 查询生产执行报表
     */
    @GetMapping("/productionExecutionReportList")
    public AjaxResult productionExecutionReportList(@RequestParam(required = false) Map hashMap) {
        List<HashMap<String, Object>> list = productionReportService.productionExecutionReportList(hashMap);
        return success(list);
    }

    /**
     * 查询在制品查询报表
     */
    @GetMapping("/WIPInquiryReportList")
    public AjaxResult WIPInquiryReportList(@RequestParam(required = false) Map hashMap) {
        List<HashMap<String, Object>> list = productionReportService.WIPInquiryReportList(hashMap);
        return success(list);
    }

    /**
     * 扫描下线记录报表
     */
    @GetMapping("/ScanOfflineRecordReportList")
    public AjaxResult ScanOfflineRecordReportList(@RequestParam(required = false) Map hashMap) {
        List<HashMap<String, Object>> list = productionReportService.ScanOfflineRecordReportList(hashMap);
        return success(list);
    }

    /**
     * 发泡注料记录报表
     */
    @GetMapping("/foamFillingRecordReportList")
    public AjaxResult foamFillingRecordReportList(@RequestParam(required = false) Map hashMap) {
        List<HashMap<String, Object>> list = productionReportService.foamFillingRecordReportList(hashMap);
        return success(list);
    }

}
